#include "core/tab_container.h"
#include "imgui.h"

bool tab_container_begin(const char* id) {
    return ImGui::BeginTabBar(
        id,
        ImGuiTabBarFlags_Reorderable | ImGuiTabBarFlags_FittingPolicyResizeDown
    );
}

bool tab_container_tab(const char* label) {
    return ImGui::BeginTabItem(label);
}

void tab_container_tab_end() {
    ImGui::EndTabItem();
}

void tab_container_end() {
    ImGui::EndTabBar();
}
